<?php

namespace Ulmus\Migration;

interface MigrateInterface
{
    public function tableSyntax() : array;
    public function whitelistAttributes(array &$parameters) : void;
    public function generateAlterColumn(FieldDefinition $definition, array $field) : string|\Stringable;
    public function splitAlterQuery() : bool;

    /*   public function databaseName() : string;
    public function mapFieldType(FieldDefinition $field) : string;
    public function schemaTable(string $databaseName, string $tableName) /*: object|EntityCollection */
}