<?php

namespace Ulmus\Query;

class Update extends Fragment {

    public int $order = -100;

    public bool $quick = false;
    
    public bool $ignore = false;
    
    public array $fieldlist = [];
    
    public string $priority;
    
    public string $table;
    
    public ? string $alias = null;
    
    public function render() : string
    {
        return $this->renderSegments([
            'UPDATE',
            ( $this->priority ?? false ),
            ( $this->ignore ? 'IGNORE' : false ),
            $this->table,
        ]);
    }
}
