<?php

namespace Ulmus\SearchRequest\Attribute;

use Ulmus\SearchRequest\SearchMethodEnum;

#[\Attribute(\Attribute::TARGET_PROPERTY)]
class SearchOrderBy extends SearchParameter
{
    public const ASCENDING = "ASC";

    public const DESCENDING = "DESC";

    public function __construct(
        public null|string|array $parameter = null,
        public null|string|\Stringable|array $field = null,
        public null|SearchMethodEnum $order = null,
        public string $description = "",
    ) {}
}