<?php

namespace Ulmus\SearchRequest;

use Ulmus\Repository;

interface SearchRequestInterface {
    public function filter(Repository $repository) : Repository;
    
    public function wheres() : iterable;
    
    public function likes() : iterable;
    
    public function orders() : iterable;
    
    public function groups() : iterable;
    
    public function limit() : int;
    
    public function offset() : int;
}
