<?php

namespace Ulmus\SearchRequest\Attribute\PropertyValueModifier;

use Ulmus\SearchRequest\Attribute\PropertyValueModifier;

#[\Attribute(\Attribute::TARGET_PROPERTY)]
class Split extends PropertyValueModifier
{
    public function __construct(
        public string $delimiter = ',',
    ) {}

    public function run(mixed $value) : mixed
    {
        return explode($this->delimiter, $value);
    }
}